# Created by pyp2rpm-3.3.2
%global pypi_name zope-testrunner
%global srcname zope.testrunner

%global _python_bytecompile_errors_terminate_build 0

%bcond_without check
%bcond_without docs

Name:           python-%{pypi_name}
Version:        6.6
Release:        %mkrel 1
Summary:        Zope testrunner script
Group:          Development/Python
License:        ZPL 2.1
URL:            https://github.com/zopefoundation/zope.testrunner
Source0:        %{pypi_source}
BuildArch:      noarch
# Work around a test failure with python 3.12
Patch0:         %{name}-python3.12.patch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package provides a flexible test runner with layer support.

%package -n     python3-%{pypi_name}
Summary:        Zope testrunner script
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
This package provides a flexible test runner with layer support.

%pyproject_extras_subpkg -n python3-zope-testrunner subunit

%prep
%autosetup -p1 -n zope.testrunner-%{version}

sed -i 's|<74|<78|' pyproject.toml tox.ini

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} -t -x test,subunit

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=$(pwd)/src sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files zope

# we don't have these
sed -i -e '/badsyntax\.cpython/d' %{pyproject_files}

# we don't want these
find %{buildroot} -name "*.pth" -delete

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE.md
%doc README.rst
%doc html
%{_bindir}/zope-testrunner
%exclude %{python3_sitelib}/zope/testrunner/tests/


%changelog
* Mon Feb 17 2025 daviddavid <daviddavid> 6.6-1.mga10
+ Revision: 2149235
- new version: 6.6
- add subunit extras sub-pkg

* Tue Apr 16 2024 papoteur <papoteur> 6.4-1.mga10
+ Revision: 2057863
- new version 6.4

* Wed Dec 20 2023 wally <wally> 6.2-1.mga10
+ Revision: 2020468
- new version 6.2
- use pyproject rpm macros
+ neoclust <neoclust>
- New version  5.5

* Tue Mar 29 2022 umeabot <umeabot> 5.4.0-3.mga9
+ Revision: 1833417
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 5.4.0-2.mga9
+ Revision: 1782035
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 5.4.0-1.mga9
+ Revision: 1771527
- version 5.4.0

* Sat Jun 26 2021 wally <wally> 5.2-2.mga9
+ Revision: 1732866
- Rebuild for python 3.9

* Tue Sep 15 2020 guillomovitch <guillomovitch> 5.2-1.mga8
+ Revision: 1626678
- new version 5.2.0

* Sun Feb 16 2020 umeabot <umeabot> 5.0-4.mga8
+ Revision: 1535252
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 guillomovitch <guillomovitch> 5.0-2.mga8
+ Revision: 1449625
- rebuild for python 3.8

* Sun Aug 25 2019 wally <wally> 5.0-1.mga8
+ Revision: 1432253
- imported package python-zope-testrunner

